--Combat Module

--Hides the bar on entering combat if true, or when leaving combat if false.
--This is a true mouse Hidden hide!

handleCombat = AddCallback(Player, "InCombatChanged", function(sender, args) scancombat() end)

function scancombat()
	local ic=Player:IsInCombat()
	for i=1,#Bar do
		if Bar[i].Data.Combat~=nil then			
			Bar[i]:CombatChanged(ic)
		end
	end
end

function NewBar:CombatChanged(ic)
	self.Combat=(ic==self.Data.Combat)				
	self:Show()
end

--Now the options dialog portions.
function Combatoptions(self,contextMenu,contextMenuItems)
	local CombatBar= Turbine.UI.MenuItem( "Combat visibility;");
		contextMenu.Combat = CombatBar:GetItems()
		
		local val=self.Data.Combat
		local CombatBarMenu={}

			CombatBarMenu[1]=Turbine.UI.MenuItem("Show when in combat, hide out of combat.",true,val==true)
			CombatBarMenu[1].Click=function() self.Data.Combat=true scancombat() end
			contextMenu.Combat:Add(CombatBarMenu[1])
		
			CombatBarMenu[2]=Turbine.UI.MenuItem("Show when out of combat, hide in combat.",true,val==false)
			CombatBarMenu[2].Click=function() self.Data.Combat=false scancombat() end
			contextMenu.Combat:Add(CombatBarMenu[2])
			
			CombatBarMenu[3]=Turbine.UI.MenuItem("Clear setting",true)
			CombatBarMenu[3].Click=function() self.Data.Combat=nil end
			contextMenu.Combat:Add(CombatBarMenu[3])			
		
	contextMenuItems:Add( CombatBar )
end

--Option Box functions

table.insert(Opt.Module,
	function()
		Opt.CombatCB=CollapseBox("Combat Visibility Options","f",1,true)
		Opt.ListBox:AddItem(Opt.CombatCB)
	
			Opt.Combat=Opt.Radio(
			{	"No setting",
				"Show when in combat, hide out of combat.",
				"Show when out of combat, hide in combat."
				},
			
			function(k,i)
				if k==0 then k=nil end
				if k==1 then k=true end
				if k==2 then k=false end
				
				Bar[i].Data.Combat=k
				Bar[i]:Show()
				scancombat()
			end )
		Opt.CombatCB.Content:AddItem(Opt.Combat)
		table.insert(Opt.source,"Combat")

		end)

scancombat()